--- CMakeLists.txt	2023-03-18 18:11:00.000000000 -0300
+++ CMakeLists.txt.new	2023-04-14 19:55:11.222386447 -0300
@@ -67,15 +67,16 @@
 
 ### Vector BLF ###############################
 FIND_PACKAGE(PkgConfig REQUIRED)
-option(LOCAL_DBC_PARSER "Use local build of dbc parser" ON)
-option(LOCAL_VECTOR_BLF "Use local build of Vector BLF" ON)
+# git download is not allowed on all system (set to ON if needed)
+option(LOCAL_DBC_PARSER "Use local build of dbc parser" OFF)
+option(LOCAL_VECTOR_BLF "Use local build of Vector BLF" OFF)
 if (ENABLE_VECTOR_BLF)
   set(OPTION_RUN_DOXYGEN OFF CACHE BOOL "" FORCE) # disable running doxygen
   if (${LOCAL_DBC_PARSER})
       FetchContent_Declare(
         dbc_parser_cpp
         GIT_REPOSITORY https://github.com/Murmele/dbc_parser_cpp.git
-        GIT_TAG ca69d0dd08a03fc0210820a4f81bfd217ad25722
+        GIT_TAG 18a2a4e46f44a06617e1fa9c2e4524eff2bc389d
         #GIT_REPOSITORY https://github.com/LinuxDevon/dbc_parser_cpp.git
         #GIT_TAG        master
       )
@@ -87,11 +88,14 @@
       # the path must be added
       target_include_directories(labplot2lib PUBLIC ${dbc_parser_cpp_SOURCE_DIR}/include)
       target_link_libraries(labplot2lib dbc)
+      target_compile_definitions(labplot2lib PRIVATE HAVE_DBC_PARSER)
   else ()
-    pkg_check_modules(dbc REQUIRED IMPORTED_TARGET GLOBAL dbc)
+    pkg_check_modules(dbc IMPORTED_TARGET GLOBAL dbc)
+    if (dbc_FOUND)
     target_link_libraries(labplot2lib PkgConfig::dbc)
-  endif()
   target_compile_definitions(labplot2lib PRIVATE HAVE_DBC_PARSER)
+    endif()
+  endif()
   
   if (${LOCAL_VECTOR_BLF})
     FetchContent_Declare(
@@ -111,10 +115,13 @@
       target_include_directories(Vector_BLF PUBLIC ${vector_blf_SOURCE_DIR}/src
                           ${vector_blf_BINARY_DIR}/src) # config.h is in there
       target_link_libraries(labplot2lib Vector_BLF)
+      target_compile_definitions(labplot2lib PRIVATE HAVE_VECTOR_BLF)
   else()
-    pkg_check_modules(Vector_BLF REQUIRED IMPORTED_TARGET GLOBAL Vector_BLF)
+    pkg_check_modules(Vector_BLF IMPORTED_TARGET GLOBAL Vector_BLF)
+    if (Vector_BLF_FOUND)
     target_link_libraries(labplot2lib PkgConfig::Vector_BLF)
-  endif()
     target_compile_definitions(labplot2lib PRIVATE HAVE_VECTOR_BLF)
+    endif()
+  endif()
 endif()
 
